import { Http } from '@angular/http';
import { BaseModeledResponse, Pageable, DAFService } from '@lowcodeunit/common';
import { Observable } from 'rxjs';
import { Device } from '@lowcodeunit/core';
export declare class DeviceService extends DAFService {
    protected rootUrl: string;
    constructor(http: Http);
    ListOrgDevices(page: number, pageSize: number): Observable<BaseModeledResponse<Pageable<Device>>>;
    SaveOrgDevice(device: Device): Observable<BaseModeledResponse<string>>;
}
